<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('deluser');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<?php
if (isset($_POST['button'])) {
	unlink('../data/users/'.$_POST["user"]);
	echo '<h1>'.locale('title_user-deleted',true).'</h1>';
	echo '<p>'.locale('desc_user-deleted',true).'</p>';
	echo '<p><a href="users.php?<?php echo SID ?>">'.locale('link_back-to-users',true).'</a></p>';
} else {
	include('../data/users/'.$_GET["user"]);
?>

<h1><?php locale('title') ?></h1>
<p>
	<?php printf(locale('desc_deluser',true), $user) ?>
	<form action="deluser.php?<?php echo SID ?>" method="POST">
		<input type="hidden" name="user" value="<?php echo $_GET['user'] ?>" />
		<input type="submit" name="button" value="<?php locale('button_yes') ?>">
		<a href="users.php?<?php echo SID ?>"><?php locale('button_no') ?></a>
	</form>
</p>

<?php
}
?>

</body>
</html>
