<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('includes');
include('locale.inc.php');
$locale = new LocalizingClass('includes');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('desc_includes') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1><?php locale('desc_includes') ?></h1>
<p>
<table border="0" cellspacing="0" cellpadding="1" style="margin-left: 1px; margin-top: 1px; border: 1px solid black">
<tr>
	<th style="border-top: 1px dotted black; border-right: 1px dotted black; border-left: 1px dotted black; border-bottom: 1px solid black"><?php locale('desc_name') ?></th>
	<th style="border-top: 1px dotted black; border-right: 1px dotted black; border-bottom: 1px solid black"><?php locale('desc_action') ?></th>
</tr>
<?php
$vorhanden = "false";
if ($handle = opendir('../data/includes')) {
while (false !== ($file = readdir($handle))) {
	if($file != "." && $file != "..") {
		$endung = strrchr($file, ".");
		echo '<tr>
			<td style="border-left: 1px dotted black; border-right: 1px dotted black; border-bottom: 1px dotted black">'.$file.'</td>
			<td style="border-right: 1px dotted black; border-bottom: 1px dotted black">
				<a href="editinc.php?inc='.$file.'&'.SID.'"><img src="icons/edit.png" border="0" height="16" width="16">'.locale('link_edit',true).'</a>
				<a href="renameinc.php?inc='.$file.'&'.SID.'"><img src="icons/rename.png" border="0" height="16" width="16">'.locale('link_rename',true).'</a>
				<a href="delinc.php?inc='.$file.'&'.SID.'"><img src="icons/delete.png" border="0" height="16" width="16">'.locale('link_delete',true).'</a>
			</td>
		</tr>';
		$vorhanden = "true";
	}
}
closedir($handle);
}
?>
<?php
if ($vorhanden != "true") {
 echo '<tr><td colspan="2" style="border-left: 1px dotted black; border-right: 1px dotted black; border-bottom: 1px dotted black">'.locale('desc_no-includes',true).'</td></tr>';
}
?>
</table>
</p>
<p>
	<i>
		<?php
		if ($_GET['special'] == 'deleteinc') {
			locale('desc_moved-to-recyclebin');
		} elseif ($_GET['special'] == 'restoreinc') {
			locale('desc_restored');
		} else {
			locale('desc_recyclebin');
		}
		?>
	</i>
</p>
<h2><?php locale('title_new') ?></h2>
<p>
	<?php locale('desc_new') ?>
</p>
<p>
	<form action="newinc.php?<?php echo SID ?>" target="_self" method="post">
		<input type="text" name="name" value="" size="10" maxlength="99">
		<input type="submit" name="button" value="<?php locale('button_create') ?>">
	</form>
</p>

</body>
</html>
