<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('locale');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<?php
if (isset($_POST['button'])) {
	$writethis = '<?php
	$locale_default = "'.$_POST["locale_default"].'";
	?>';
	$datei = fopen('../data/settings/locale.inc.php','w');
	fwrite($datei,$writethis);
	fclose($datei);
	echo '<h1>'.locale('title_settings-saved',true).'</h1>';
	echo '<p>'.locale('desc_settings-saved',true).'</p>';
	echo '<p><a href="settings.php?'.SID.'">'.locale('link_back-to-settings',true).'</a></p>';
} else {
	include('../data/settings/locale.inc.php');
?>

<h1><?php locale('title') ?></h1>
<p>
	<form action="locale.php?<?php echo SID ?>" method="post">
		<?php locale('label_locale') ?>
		<select name="locale_default" size="1">
			<?php
			if ($handle = opendir('./locales')) {
				while (false !== ($file = readdir($handle))) {
					if(is_file('./locales/'.$file.'/info.php')) {
						include('./locales/'.$file.'/info.php');
						if ($file == $locale_default) {
							echo '<option value="'.$file.'" selected="selected">'.$locale_info["name"].'</option>';
						} else {
							echo '<option value="'.$file.'">'.$locale_info["name"].'</option>';
						}
					}
				}
				closedir($handle);
			}
			?>
		</select>
		<br />
		<input type="submit" name="button" value="<?php locale('button_save') ?>">
	</form>
</p>

<?php
}
?>

</body>
</html>
