<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('pages');
include('locale.inc.php');
$locale = new LocalizingClass('pages');

include('../functions_url.inc.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('desc_pages') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
<script language="JavaScript">
<!--
function show(elementid) {
 hideAll();
 document.getElementById(elementid).style.display = 'block';
}
function hideAll() {
 document.getElementById('edit').style.display = 'none';
 document.getElementById('visibility').style.display = 'none';
 document.getElementById('new').style.display = 'none';
 document.getElementById('rename').style.display = 'none';
 document.getElementById('delete').style.display = 'none';
 document.getElementById('sort').style.display = 'none';
}
//-->
</script>
</head>
<?php
if (isset($_GET["show"])) {
	echo '<body onLoad="show(\''.$_GET["show"].'\')">';
} else {
	echo '<body onLoad="hideAll()">';
}
?>

<a href="#" onClick="hideAll()" style="float: right">Alle verbergen</a>
<h1 style="margin:0;padding:0;"><?php locale('desc_pages') ?></h1>
<br style="clear: both" />
<h2 onClick="show('edit')" style="cursor: pointer">Seite bearbeiten</h2>
<div id="edit">
<p>
<?php
function createPageOverview($ordner, $sub = FALSE, $secfolder = 0) {
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      if(is_dir($ordner."/".$file)) {
        $dirs[] = $ordner."/".$file;
      }
    }
  }
  if($dirs) {
  	echo '<ul>';
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      $pos = strpos($file, ".DEL");
      echo '<li><a href="editpage.php?file='.get_short_url(substr($ordner,13).'/'.$file.'/01,Home').'&'.SID.'">'.$show.'</a>';;
      createPageOverview($dir, TRUE, $file);
      echo '</li>';
    }
    echo '</ul>';
  }
  closedir($handle);
}
createPageOverview("../data/pages");
?>
</p>
<p>
	<?php
if ($_GET['saved']) {
	printf(locale('desc_saved',true), $_GET["saved"]);
} else {
	echo "&nbsp;";
}
?>
</p>
</div>
<h2 onClick="show('visibility')" style="cursor:pointer"><?php locale('title_visibility') ?></h2>
<div id="visibility">
<p>
<?php
function createDelRestorePageOverview($ordner, $sub = FALSE, $secfolder = 0) {
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      if(is_dir($ordner."/".$file)) {
        $dirs[] = $ordner."/".$file;
      }
    }
  }
  if($dirs) {
   	echo '<ul>';
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      $show = str_replace(".DEL","",$show);
      $pos = strpos($file, ".DEL");
      if ($pos === false) {
         if ($show != "Home") {
           echo '<li><a href="invisible.php?file='.get_short_url(substr($ordner,13).'/'.$file.'/01,Home').'&'.SID.'" style="color: #3dbd17; margin-left: '.$links.'px">'.$show.'</a>';
         } else {
           echo '<li>'.$show;
         }
         createDelRestorePageOverview($dir, TRUE, $file);
        echo '</li>';
      } else {
      	echo '<li><a href="visible.php?file='.get_short_url(substr($ordner,13).'/'.$file.'/01,Home').'&'.SID.'" style="color: #ff0000; margin-left: '.$links.'px">'.$show.'</a></li>';
      }
    }
  	echo '</ul>';
  }
  closedir($handle);
}
createDelRestorePageOverview("../data/pages");
?>
</p>
<p>
	<i>
		<?php locale('desc_visibility') ?>
	</i>
</p>
</div>
<h2 onClick="show('new')" style="cursor:pointer"><?php locale('title_new') ?></h2>
<div id="new">
<p>
	<?php locale('desc_new') ?>
</p>
<p>
<?php
function createNewPageOverview($ordner, $sub = FALSE, $secfolder = 0) {
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      if(is_dir($ordner."/".$file)) {
        $dirs[] = $ordner."/".$file;
      }
    }
  }
  if($dirs) {
  	echo '<ul>';
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      echo '<li><a href="new.php?sec='.get_short_url(substr($ordner,13).'/'.$file.'/01,Home').'&'.SID.'">'.$show.'</a>';
      createNewPageOverview($dir, TRUE, $file);
      echo '</li>';
    }
  	echo '</ul>';
  }
  closedir($handle);
}
echo '<ul><li><a href="new.php?sec=root&'.SID.'">root</a></li>';
createNewPageOverview("../data/pages");
echo '</ul>';
?>
</p>
</div>
<h2 onClick="show('rename')" style="cursor:pointer"><?php locale('title_rename') ?></h2>
<div id="rename">
<p>
<?php
function createRenamePageOverview($ordner, $sub = FALSE, $secfolder = 0) {
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      if(is_dir($ordner."/".$file)) {
        $dirs[] = $ordner."/".$file;
      }
    }
  }
  if($dirs) {
  	echo '<ul>';
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      if ($file != "01,Home") {
        echo '<li><form action="rename.php?'.SID.'" method="post" style="display:inline">';
        /* TODO: Maybe it is possible to rename files other than pages of the cms? */
        echo '<label for="'.get_short_url(substr($ordner,13).'/'.$file.'/01,Home').'">'.$show.'</label>&rarr;<input type="text" id="'.get_short_url(substr($ordner,13).'/'.$file.'/01,Home').'" name="name" /><input type="hidden" name="path" value="'.$ordner.'" /><input type="hidden" name="file" value="'.$file.'" /><input type="submit" value="'.locale('button_rename',true).'" /></form>';
      } else {
        echo '<li>'.$show;
      }
      createRenamePageOverview($dir, TRUE, $file);
      echo '</li>';
    }
    echo '</ul>';
  }
  closedir($handle);
}
createRenamePageOverview("../data/pages");
?>
</p>
</div>
<h2 onClick="show('delete')" style="cursor:pointer"><?php locale('title_delete') ?></h2>
<div id="delete">
<p>
<?php
function createDeletePageOverview($ordner, $sub = FALSE, $secfolder = 0) {
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      if(is_dir($ordner."/".$file)) {
        $dirs[] = $ordner."/".$file;
      }
    }
  }
  if($dirs) {
  	echo '<ul>';
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      if ($file != "01,Home") {
        echo '<li><a href="delete.php?file='.get_short_url(substr($ordner,13).'/'.$file.'/01,Home').'&'.SID.'">'.$show.'</a>';
      } else {
        echo '<li>'.$show;
      }
      createDeletePageOverview($dir, TRUE, $file);
      echo '</li>';
    }
  	echo '</ul>';
  }
  closedir($handle);
}
createDeletePageOverview("../data/pages");
?>
</p>
</div>
<h2 onClick="show('sort')" style="cursor:pointer"><?php locale('title_sort') ?></h2>
<div id="sort">
<p>
	<?php locale('desc_sort') ?>
</p>
<p>
<?php
function createSortPageOverview($ordner, $sub = FALSE, $secfolder = 0) {
  $handle = opendir($ordner);
  while (false !== ($file = readdir($handle))) {
    if($file != "." && $file != "..") {
      if(is_dir($ordner."/".$file)) {
        $dirs[] = $ordner."/".$file;
      }
    }
  }
  if($dirs) {
  	echo '<ul>';
    natcasesort($dirs);
    foreach($dirs as $dir) {
      $file = str_replace($ordner."/","",$dir);
      $show = substr($file, 3);
      $show = str_replace("_"," ",$show);
      $show = str_replace("SLASH","/",$show);
      $show = str_replace("AND" ,"&", $show);
      echo '<li><a href="sort1.php?sec='.get_short_url(substr($ordner,13).'/'.$file.'/01,Home').'">'.$show.'</a>';
      createSortPageOverview($dir, TRUE, $file);
      echo '</li>';
    }
    echo '</ul>';
  }
  closedir($handle);
}
echo '<ul><li><a href="sort1.php?sec=root&'.SID.'">root</a></li>';
createSortPageOverview("../data/pages");
echo '</ul>';
?>
</p>
</div>

</body>
</html>
