<?php
/*
    cms -db
    Copyright (C) 2007-2009 Jan Hoffmann

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Version</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1>Über cms -db</h1>
<p>
    <span style="font-size: 1.25em; font-weight: bolder">
		cms -db v0.6 - <a href="http://cms-db.de/">http://cms-db.de/</a>
	</span><br />
    Copyright (C) 2007-2009 Jan Hoffmann<br />
	<br />
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.<br />
	<br />
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.<br />
	<br />
    You should have received a copy of the GNU General Public License
    along with this program. If not, see http://www.gnu.org/licenses/.
</p>
<p>
	<a href="gnu-gpl.php">Die GNU-GPL-Lizenz kann hier nachgelesen werden.</a>
</p>
<p>
	&nbsp;
</p>
<h2>Verwendete Objekte</h2>
<p>
	<a href="http://www.oxygen-icons.org/" target="_blank">Oxygen Icon Theme</a>
</p>
<p>
	<a href="http://www.wymeditor.org/" target="_blank">WYMeditor</a>
</p>
<p>
	<a href="http://tool-man.org/examples/sorting.html" target="_blank">tool-man</a>
</p>
<p>
	<a href="http://www.phpconcept.net/pclzip/index.en.php" target="_blank">PclZip</a>
</p>
<p>
	<a href="http://jquery.com/" target="_blank">jQuery</a>
</p>
<h2>Änderungen</h2>
<h3>v0.1</h3>
<ul>
	<li>Erste Version</li>
</ul>
<h4>v0.1.1</h4>
<ul>
	<li>Verbesserte Icons</li>
</ul>
<h4>v0.1.2</h4>
<ul>
	<li>TinyMCE wurde abgespeckt (von 2,2MB auf 1,6MB)</li>
	<li>Einbindung von TinyMCE in Includes sowie Template</li>
</ul>
<h3>v0.2</h3>
<ul>
	<li>komplett neue Admin-Oberfläche</li>
</ul>
<h4>v0.2.1</h4>
<ul>
	<li>IE-Unterstützung des Admin-Bereiches</li>
</ul>
<h4>v0.2.2</h4>
<ul>
	<li>verschiedene Bugfixes</li>
</ul>
<h4>v0.2.3</h4>
<ul>
	<li>Bugfixes</li>
</ul>
<h4>v0.2.4</h4>
<ul>
	<li>Sicherheitscode im Gästebuch wird über SESSION übertragen (99,9% Sicherheit)</li>
</ul>
<h4>v0.2.5</h4>
<ul>
	<li>Bugfix des FTP-Links auf der Startseite (betrifft nur Server mit safe_mode=1)</li>
	<li>Umgehung eines PHP-Bugs, der bei einigen PHP-Konfigurationen auftreten kann</li>
</ul>
<h4>v0.2.6</h4>
<ul>
	<li>Verbesserter Sicherheitscode im Gästebuch</li>
</ul>
<h4>v0.2.7</h4>
<ul>
	<li>Bugfixes</li>
</ul>
<h4>v0.2.8</h4>
<ul>
	<li>Funktion für Weiterleitungen in den Seiten</li>
	<li>verbesserte Anzeige der Dateirechte</li>
</ul>
<h4>v0.2.9</h4>
<ul>
	<li>Das Teilen des Arbeitsbereiches ist nun möglich.</li>
</ul>
<h4>v0.2.10</h4>
<ul>
	<li>Verkürzung der URLs ("sec" und "sub" fallen weg)</li>
	<li>Menüs sowie die Sitemap werden als Liste ausgegeben</li>
</ul>
<h4>v0.2.11</h4>
<ul>
	<li>Klapp-Menü</li>
</ul>
<h4>v0.2.12</h4>
<ul>
	<li>URL-Rewriting ist nun möglich</li>
	<li>Die URLs beinhalten nun keinen Eintrag "file=*" mehr</li>
</ul>
<h4>v0.2.13</h4>
<ul>
	<li>Kleine Änderungen/Bugfixes in der Suchfunktion
		<ul>
			<li>Anpassung des Cache an neue URLs</li>
			<li>HTML-Entities in den Suchergebnissen</li>
		</ul>
	</li>
	<li>Bessere Statusanzeige beim Entpacken von Backups</li>
</ul>
<h4>v0.2.14</h4>
<ul>
	<li>Bessere Icons</li>
	<li>Kleine Fehlerbehebungen</li>
</ul>
<h4>v0.2.15</h4>
<ul>
	<li>Änderungen an der TinyMCE-Konfiguration (XHTML 1.1-Doctype)</li>
	<li>Anpassung des Besucherzählers an die neue URLs</li>
	<li>Keine überflüssigen Cookies mehr in den erstellten Seiten</li>
</ul>
<h4>v0.2.16</h4>
<ul>
	<li>Verbesserte Adminoberfläche</li>
	<li>Behebung eines Bugs, der Weiterleitungen verhinderte</li>
</ul>
<h4>v0.2.17</h4>
<ul>
	<li>Änderung der Hintergrundfarbe und der Textfarbe des Desktops des Adminbereiches ist nun möglich</li>
	<li>Uhr im Adminbereich</li>
	<li>Verbesserte Anmeldeseite</li>
</ul>
<h3>v0.3</h3>
<ul>
	<li>Entfernung eines falschen Elements in /admin/frame.php, das die Anzeige der JavaScript-Meldung verhinderte</li>
	<li>Kompatibilitätsmodus für Browser ohne JavaScript und für MSIE</li>
	<li>Bugfix: Beim Erstellen/Umbenennen von Seiten mit Sonderzeichen im Namen kam es bisher zu einem PHP-Fehler</li>
	<li>Gästebuch ist valides XHTML (%%GUESTBOOK%% darf nicht in einem p-Element stehen!)</li>
	<li>Neues Standard-Template</li>
	<li>Browser- und Betriebssystem-Statistik</li>
	<li>Bugfix: Beim Teilen des Adminbereiches passte sich der linke Bereich aufgrund der Uhr nicht an die Fenstergröße an.</li>
</ul>
<h4>v0.3.1</h4>
<ul>
	<li>Bei unbekanntem Browser und/oder Betriebssystem wird nun der User-Agent gespeichert.</li>
</ul>
<h4>v0.3.2</h4>
<ul>
	<li>Bots von Suchmaschinen werden nun als Betriebssystem "Bot" aufgelistet.</li>
</ul>
<h4>v0.3.3</h4>
<ul>
	<li>Bessere Anzeige der Statistik</li>
	<li>Bugfix: widersprüchliche Bedingung bei OS-Erkennung entfernt</li>
	<li>Bugfix: die Elemente &lt;td&gt; in der Statistik wurden erneut geöffnet statt geschlossen</li>
</ul>
<h4>v0.3.4</h4>
<ul>
	<li>Bugfix: Bots werden nun als Betriebssystem "Bot" statt "unbekanntBot" angezeigt.</li>
</ul>
<h4>v0.3.5</h4>
<ul>
	<li>Wenn eine Seite nicht gefunden wird, wird nun "404 Not Found" gesendet.</li>
</ul>
<h4>v0.3.6</h4>
<ul>
	<li>Die 404-Fehlernachricht wird nun auch angezeigt, wenn die angegebene Seite ein Ordner ist (bisher: PHP-Fehler).</li>
	<li>Die Statistik wurde erweitert, jetzt werden mehr Bots als solche erkannt.</li>
	<li>In der Statistik lassen sich nun Bots ausblenden.</li>
</ul>
<h4>v0.3.7</h4>
<ul>
	<li>Änderung sämtlicher Copyright-Hinweise auf 2008</li>
</ul>
<h4>v0.3.8</h4>
<ul>
	<li>Behebung eines Bugs, der verursachte, dass das "FOLDINGMENU" maximal 2 Ebenen anzeigte.</li>
	<li>Säuberung des Codes der Datei /admin/upload.php</li>
</ul>
<h3>v0.4</h3>
<ul>
	<li>Möglichkeit zum Ändern des angezeigten Namens von 01,Home (Startseite)</li>
	<li>Suche ohne Cache</li>
	<li>Überarbeitung von /page/index.php</li>
	<li>Variablen für $beforeurl, $afterurl und $absoluteurl</li>
	<li>mehrere Benutzer möglich</li>
	<li>neue Icon-Navigation im Adminbereich</li>
	<li>PclZip wird zum Erstellen und Entpacken von Backups verwendet.</li>
	<li>Bugfixes für Gästebuch</li>
	<li>Neues Standarddesign der erstellten Website (altes Design von cms-db.de)</li>
	<li>Update auf TinyMCE 3</li>
	<li>Neues Symbol für "Webseitenvorschau"</li>
	<li>Neuer An- und Abmeldebildschirm</li>
	<li>Warnmeldung beim Abmelden</li>
	<li>Recycling-Center</li>
	<li>Möglichkeit zum Umbenennen von Dateien und Includes</li>
	<li>Bugfix für Opera</li>
</ul>
<h4>v0.4.1</h4>
<ul>
	<li>Bugfix: Wenn beim Erstellen oder Umbennen von Includes/Dateien ein Dateiname angegeben wurde, der bereits existierte, wurde die Datei überschrieben.</li>
</ul>
<h4>v0.4.2</h4>
<ul>
	<li>Bugfix: Bisher wurden durch einen Fehler in der Template-Klasse alle Ersetzungen ausgeführt. Der Seitenaufbau sollte nun bei Seiten mit wenigen Variablen (unmerkbar) schneller gehen.</li>
</ul>
<h3>v0.5</h4>
<ul>
	<li>
		Neue Ordnerstruktur:
		<ul>
			<li>Im Hauptverzeichnis befindet sich nun die <i>index.php</i>, die die Webseiten ausgibt, der Adminbereich ist weiterhin in <i>/admin</i> und im Ordner <i>/data</i> befindet sich alles, was Schreibrechte benötigt. (Updates sind nun möglich)</li>
			<li>Das CMS muss neu installiert werden, ein Update auf Version 0.5 ist nicht möglich.</li>
		</ul>
	</li>
	<li>Bugfix: Bei den Suchergebnissen werden Variablen jetzt nicht mehr ersetzt.</li>
	<li>Oxygen Icon Theme statt Crystal Icon Theme</li>
	<li>Komplettes Backup</li>
</ul>
<h4>v0.5.1</h4>
<ul>
	<li>Andere Schriftart und -größe im Admin-Bereich</li>
	<li>Bugfix: Einfügen von Seiten und Dateien in Includes ist an neue Ordnerstruktur angepasst</li>
</ul>
<h3>v0.6</h4>
<ul>
	<li>Lokalisierbarkeit</li>
	<li>Seiten werden nun als XHTML (Content-type: application/xhtml+xml) ausgegeben, wenn der Browser dies unterst&uuml;tzt</li>
	<li>Überlagerung des Adminbereiches, wenn die Abmelde-Warnung angezeigt wird</li>
	<li>Verwendung von jQuery im Adminbereich</li>
	<li>Die Variable $query_string_data enthält nun den Teil des Query-Strings nach <i>~~~</i>. In Includes kann mittels <i>global</i> darauf zugegriffen werden.</li>
	<li>Tabs</li>
	<li>%%PAGETITLE%% enthält nun nur noch den Namen der aktuellen Seite. Die alte Variable ist unter %%FULLTITLE%% verfügbar.</li>
	<li>Die Icon-Leiste hat nun ein neues Design.</li>
	<li>Die Suchfunktion zeigt jetzt den Suchbegriff fett an</li>
	<li>neues Standardtemplate</li>
	<li>Änderung der Ersetzungsreihenfolge bei der Seitenerstellung</li>
	<li>Verwendung von WYMeditor statt TinyMCE</li>
	<li>Automatische Generierung einer XML-Sitemap (sitemap.php)</li>
	<li>Bei Weiterleitungen wird nun der HTTP-Status-Code 301 gesendet</li>
	<li>Überarbeitung des Gästebuchs und dessen Verwaltung</li>
	<li>LEFTMENU zeigt nun die Startseite nicht mehr an</li>
	<li>Verwendung von Kurz-URLs</li>
	<li>Entfernung der FTP-Einstellungen</li>
	<li>Neue Browser- und OS-Erkennung</li>
	<li>Neue Variable zur Anzeige einer Linkliste der aktuellen Sektion</li>
	<li>Absätze um die Variablen GUESTBOOK, SITEMAP, INCLUDE, SECTIONLIST und LOGINFORM werden nun automatisch entfernt</li>
	<li>Verbesserte Überprüfung auf Probleme beim Erstellen von Seiten</li>
	<li>Aufrechterhaltung der Session beim Bearbeiten von Seiten</li>
	<li>LEFTMENU wird durch COMPLETESUBMENU und FOLDINGSUBMENU ersetzt</li>
	<li>Es gibt nur noch Seiten (Verhalten wie Sektionen in älteren Versionen)</li>
	<li>Variable zur Anzeige eines Anmeldeformulars</li>
	<li>Vor dem installieren eines Backup werden bereits vorhandene Daten gelöscht</li>
	<li>Wenn das Installieren eines Backups fehlschlägt, werden die alten Daten wiederhergestellt</li>
	<li>Bugfix: Unterseiten der Startseite werden nun in allen Menüs angezeigt.</li>
	<li>Bugfix: Eingefügte Links funktionieren jetzt richtig.</li>
	<li>Bugfix: Beim Verschieben von mehreren Seiten mit dem gleichen Namen ins Recycling-Center gehen keine Seiten mehr verloren</li>
	<li>Bugfix: Behebung eines Bugs, der die Wiederherstellung von Seiten verhinderte</li>
	<li>Bugfix: HTML-Entities werden nun nicht mehr beim Bearbeiten entfernt</li>
	<li>Bugfix: Die Untermenüs zeigen jetzt nicht mehr die Seiten im Hauptverzeichnis an, wenn Suchergebnisse oder eine Fehlerseite angezeigt werden ($sec und $sub sind dann leer)</li>
</ul>
<h2>Geplante Funktionen (für Version 1.0)</h2>
<ul>
	<li><span style="text-decoration:line-through">Hilfe/Dokumentation</span> - <a href="http://cms-db.de/site/dokumentation.html">Online-Dokumentation</a></li>
	<li>Einsehen und Löschen der Zugriffszähler</li>
	<li>XHTML-Validität des Adminbereiches</li>
	<li><span style="text-decoration:line-through">HTML-Export</span> - ab Version 0.2.12 ist URL-Rewriting möglich</li>
	<li>Funktion zum Verwalten von mehreren Templates sowie Template-Packs</li>
</ul>

</body>
</html>
