<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
            Copyright (C) 2008 Mario Fähland
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

function createTopMenu($urlbefore, $urlafter, $sec, $sub, $file) {
	if (!isset($output)) { $output = ''; }
	global $home;
	$output .= '<ul class="topmenu">';
	$ordner = './data/pages';
	$handle = opendir($ordner);
	while (false !== ($file = readdir($handle))) {
		if($file != "." && $file != "..") {
			$pos = strpos($file, ".DEL");
			if ($pos === false) {
				if(is_dir($ordner."/".$file)) {
					$files[] = $file;
				}
			}
		}
	}
	natcasesort($files);
	foreach($files as $file) {
		if ($file == '01,Home') {
			$show = $home;
		} else {
			$show = substr($file, 3);
			$show = str_replace("_"," ",$show);
			$show = str_replace("SLASH","/",$show);
			$show = str_replace("AND" ,"&", $show);
		}
		if($sec != $file) {
			$output .= '<li><a href="'.$urlbefore.get_short_url(substr($ordner,12).'/'.$file.'/01,Home').$urlafter.'" class="topinactive">'.$show.'</a></li>';
		} else {
			$output .= '<li><a href="'.$urlbefore.get_short_url(substr($ordner,12).'/'.$file.'/01,Home').$urlafter.'" class="topactive">'.$show.'</a></li>';
		}
	}
	closedir($handle);
	$output .= '</ul>';
	return $output;
}

function createSitemap($urlbefore, $urlafter, $ordner, $count = 0, $sub = false) {
	if (!isset($output)) { static $output = ''; }
	global $home;
	$handle = opendir($ordner);
	while (false !== ($file = readdir($handle))) {
		if($file != "." && $file != "..") {
			$pos = strpos($file, ".DEL");
			if ($pos === false) {
				if(is_dir($ordner."/".$file)) {
					$dirs[] = $ordner."/".$file;
				}
			}
		}
	}
	closedir($handle);
	if ($dirs) {
		$output .= '<ul class="sitemap'.$count.'">';
		natcasesort($dirs);
		foreach($dirs as $dir) {
			$file = str_replace($ordner."/","",$dir);
			if ($file == '01,Home') {
				$show = $home;
			} else {
				$show = substr($file, 3);
				$show = str_replace("_"," ",$show);
				$show = str_replace("SLASH","/",$show);
				$show = str_replace("AND" ,"&", $show);
			}
			$output .= '<li class="dirli'.$count.'"><a href="'.$urlbefore.get_short_url(substr($ordner,12).'/'.$file.'/01,Home').$urlafter.'" class="dirlink'.$count.'">'.$show.'</a>';
			createSitemap($urlbefore, $urlafter, $dir, $count+1, true);
			$output .= '</li>';
		}
		$output .= '</ul>';
	}
	return $output;
}

function createCompleteMenu($urlbefore, $urlafter, $ordner, $sec, $sub, $count = 0) {
	if (!isset($output)) { static $output = ''; }
	global $home;
	$handle = opendir($ordner);
	while (false !== ($file = readdir($handle))) {
		if($file != "." && $file != "..") {
			$pos = strpos($file, ".DEL");
			if ($pos === false) {
				if(is_dir($ordner."/".$file)) {
					$dirs[] = $ordner."/".$file;
				}
			}
		}
	}
	closedir($handle);
	if ($dirs) {
		$output .= '<ul class="menu'.$count.'">';
		natcasesort($dirs);
			foreach($dirs as $dir) {
			$file = str_replace($ordner."/","",$dir);
			if ($file == '01,Home') {
				$show = $home;
			} else {
				$show = substr($file, 3);
				$show = str_replace("_"," ",$show);
				$show = str_replace("SLASH","/",$show);
				$show = str_replace("AND" ,"&", $show);
			}
			if ($sec == $file && $sub == "01,Home") {
				$output .= '<li><a href="'.$urlbefore.get_short_url(substr($ordner,12).'/'.$file.'/01,Home').$urlafter.'" class="active'.$count.'">'.$show.'</a>';
			} else {
				$output .= '<li><a href="'.$urlbefore.get_short_url(substr($ordner,12).'/'.$file.'/01,Home').$urlafter.'" class="inactive'.$count.'">'.$show.'</a>';
			}
			createCompleteMenu($urlbefore, $urlafter, $dir, $sec, $sub, $count+1);
			$output .= '</li>';
		}
		$output .= '</ul>';
	}
	return $output;
}

function createFoldingMenu($urlbefore, $urlafter, $ordner, $sec, $sub, $top, $count = 0, $force_folding = false) {
	if (!isset($output)) { static $output = ''; }
	global $home;
	$handle = opendir($ordner);
	while (false !== ($file = readdir($handle))) {
		if($file != "." && $file != "..") {
			$pos = strpos($file, ".DEL");
			if ($pos === false) {
				if(is_dir($ordner."/".$file)) {
					$dirs[] = $ordner."/".$file;
				}
			}
		}
	}
	closedir($handle);
	if ($dirs) {
		$output .= '<ul class="menu'.$count.'">';
		$replace1 = array('%2F','%2C');
		$replace2 = array('/',',');
		natcasesort($dirs);
		foreach($dirs as $dir) {
			if ($count == 0) {
				$force_folding = false;
			}
			$file = str_replace($ordner."/","",$dir);
			if ($file == '01,Home') {
				$show = $home;
			} else {
				$show = substr($file, 3);
				$show = str_replace("_"," ",$show);
				$show = str_replace("SLASH","/",$show);
				$show = str_replace("AND" ,"&", $show);
			}
			if (($sec == $file && $sub == "01,Home") OR $top == $file) {
				$output .= '<li><a href="'.$urlbefore.get_short_url(substr($ordner,12).'/'.$file.'/01,Home').$urlafter.'" class="active'.$count.'">'.$show.'</a>';
			} else {
				$output .= '<li><a href="'.$urlbefore.get_short_url(substr($ordner,12).'/'.$file.'/01,Home').$urlafter.'" class="inactive'.$count.'">'.$show.'</a>';
			}
			if ($top == $file OR $force_folding == true) {
				createFoldingMenu($urlbefore, $urlafter, $dir, $sec, $sub, $top, $count+1, $force_folding = true);
			}
			$output .= '</li>';
		}
		$output .= '</ul>';
	}
	return $output;
}

function PageCount($file) {
	$filename = str_replace("SLASH","SCHRAEG",$file);
	$filename = str_replace("/","SLASH",$filename);
	if (is_file($filename)) {
		if (file_exists('counter/'.$filename)) {
			$handle = fopen('counter/'.$filename, "r+");
			$count = fread($handle, 1024);
			$count++;
			rewind($handle);
			fwrite($handle, $count);
			fclose($handle);
			$output = $count;
		} else {
			$handle = fopen('counter/'.$filename, "w+");
			fwrite($handle, "1");
			fclose($handle);
			$output = '1';
		}
	} else {
		$output = 'unknown';
	}
	return $output;
}
function LastEdit() {
	if ($_GET['special'] != 'search' && file_exists($file)) {
		$filetime = filemtime($file);
		if($filetime == false) {
			$LastEdit = "-";
		} else {
			$LastEdit = date("d.m.Y H:i", $filetime);
		}
	} else {
		$LastEdit = '-';
	}
	return $LastEdit;
}

function doSearch($keyword, $folder = './data/pages', $show_output = true) {
	global $home;
	global $urlbefore;
	global $urlafter;
	if (!isset($found)) {
		static $found = false;
	}
	if (!isset($search_matches)) {
		static $search_matches = '';
	}
	$keyword = htmlspecialchars($keyword);
	if ($keyword != '' && $keyword != ' ') {
		$handle = opendir($folder);
		while (false !== ($file = readdir ($handle))) {
			if ($file != "." && $file != "..") {
				if (is_file($folder.'/'.$file)) {
					$content = file_get_contents($folder.'/'.$file);
					# Ersetzt durch die folgenden zwei Zeilen
					# $content = strip_tags($content);
					$content = preg_replace('/<[\/\!]*?[^<>]*?>/', ' ', $content); 
					$content = preg_replace('/\s+/', ' ', $content);
					$content = preg_replace('/%%(.*)%%/', '', $content);
					$content = trim($content);
					$pos_title = stripos($folder.'/'.$file, $keyword);
					$pos_content = stripos($content, $keyword);
					# TODO: foreach ($keyword [Trennzeichen=' '])
					if ($pos_title !== false or $pos_content !== false) {
						$found = true;

						$pagetitle = '';
						$title_temp = substr($folder.'/'.$file, 13);
						$title = explode("/", $title_temp);
						$first = 1;
						foreach($title as $text) {
							if ($first == 0) {
								$pagetitle .= ' &gt; ';
							}
							if ($text == '01,Home') {
								$text = $home;
							} else {
								$text = substr($text, 3);
								$text = str_replace("_"," ",$text);
								$text = str_replace("SLASH","/",$text);
								$text = str_replace("AND","&",$text);
							}
							$pagetitle .= $text;
							$first = 0;
						}
						$pagetitle = str_replace(' &gt; '.$home, '', $pagetitle);
						$pagetitle = str_replace('.DEL', '', $pagetitle);

						$url = substr($folder.'/'.$file, 12);
						$url = $urlbefore.get_short_url($url).$urlafter;
						
						$preview = $content;
						if ( ($pos_content-100) > 0 && ($pos_content+100) < strlen($content) ) {
							$preview = '...'.substr($preview, $pos_content-100, 200).'...';
						} elseif ( ($pos_content-200 )> 0 && $pos_content < strlen($content)) {
							$preview = '...'.substr($preview, -200, 200);
						} elseif (strlen($content) > 200) {
							$preview = substr($preview, 0, 200).'...';
						}
						
						$pagetitle = preg_replace('/('.$keyword.')/i', '<strong>$1</strong>', $pagetitle);
						$preview = preg_replace('/('.$keyword.')/i', '<strong>$1</strong>', $preview);
						$search_matches .= '<p><a href="'.$url.'">'.$pagetitle.'</a><br />'.$preview.'</p>';
					}
				} else {
					doSearch($keyword, $folder.'/'.$file, False);
				}
			}
		}
		closedir($handle);
		if ($show_output == true) {
			$output = '';
			$keyword_display = $keyword;
			if ($keyword_display == 'windows' or $keyword_display == 'Windows') { $keywords = array('Müll', 'Virus', 'Sicherheitslücke', 'Spyware'); $keyword_display = $keywords[rand(0,3)]; }
			if ($found == true) {
				$output .= '<p>'.sprintf(locale('desc_search-found',true), $keyword_display).'</p>';
				$output .= $search_matches;
			} elseif ($found == false) {
				$output .= '<p>'.sprintf(locale('desc_search-not-found',true), $keyword_display).'</p>';
			}
		}
	} else {
		$output .= locale('desc_missing-keyword',true);
	}

	return $output;
}

function SectionList() {
	global $home;
	global $urlbefore;
	global $urlafter;
	global $splitfile;
	$found = false;
	$list = '';
	$folder .= './data/pages';
	$i = 1;
	while($i+1 < count($splitfile)) {
		$folder .= '/'.$splitfile[$i];
		$i++;
	}
	$handle = opendir($folder);
	$files = array();
	while (false !== ($file = readdir ($handle))) {
		$files[] = $file;
	}
	natcasesort($files);
	foreach($files as $file) {
		if ($file == '01,Home') {
			continue;
		}
		if ($file != "." && $file != "..") {
			if (is_file($folder.'/'.$file)) {
				$filename = $folder.'/'.$file;
			} elseif (is_dir($folder.'/'.$file)) {
				$filename = $folder.'/'.$file.'/01,Home';
			}
			$content = file_get_contents($filename);
			# Ersetzt durch die folgenden zwei Zeilen
			# $content = strip_tags($content);
			$content = preg_replace('/<[\/\!]*?[^<>]*?>/', ' ', $content); 
			$content = preg_replace('/\s+/', ' ', $content);
			$content = preg_replace('/%%(.*)%%/', '', $content);
			$content = trim($content);
			$found = true;
			$pagetitle = substr($file, 3);
			$pagetitle = str_replace("_"," ",$pagetitle);
			$pagetitle = str_replace("SLASH","/",$pagetitle);
			$pagetitle = str_replace("AND","&",$pagetitle);
			$pagetitle = str_replace('.DEL', '', $pagetitle);
			$url = substr($filename, 12);
			$url = $urlbefore.get_short_url($url).$urlafter;
			if (strlen($content) > 200) {
				$preview = substr($content, 0, 200).'...';
			} else {
				$preview = $content;
			}
			$list .= '<li class="listline"><a href="'.$url.'">'.$pagetitle.'</a><br />'.$preview.'</li>';
		}
	}
	closedir($handle);
	$output = '';
	if ($found == true) {
		$output .= '<ul class="listing">'.$list.'</ul>';
	} else {
		chdir('./admin');
		$locale = new LocalizingClass('frontend', $locale_default);
		chdir('../');
		$output .= '<p>'.sprintf(locale('desc_no-pages',true), $folder).'</p>';
		unset($locale);
	}
	return $output;
}

function LoginForm() {
	global $locale_default, $urlabsolute;
	chdir('./admin');
	$locale = new LocalizingClass('index', $locale_default);
	chdir('../');
	$o  = '<form id="cms-db_login" action="'.$urlabsolute.'/admin/login.php" method="post"><p>';
	$o .= '<input type="hidden" name="locale" value="'.$locale_default.'" />';
	$o .= '<input type="text" name="user" id="user" value="" /> <label for="user">'.locale('label_username', true, $locale).'</label><br />';
	$o .= '<input type="password" name="pass" id="pass" value="" /> <label for="pass">'.locale('label_password', true, $locale).'</label><br />';
	$o .= '<input type="submit" value="'.locale('button_login', true, $locale).'" />';
	$o .= '<span style="font: bold .8em \'Bitstream Vera Sans\', Arial, Helvetica sans-serif; color: #032b4f; margin-left: 1em">cms -db</span>';
	$o .= '</p></form>';
	return $o;
}
?>
