<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */


$functions_url_website = true;
include('functions_url.inc.php');


$n = "\n";

function getServerName() {
	$server_name = 'http';
	if ($_SERVER['HTTPS'] == 'on') {
		$server_name .= 's';
	}
	$server_name .= '://';
	if ($_SERVER['SERVER_PORT'] != '80') {
		$server_name .= $_SERVER['SERVER_NAME'].':'.$_SERVER['SERVER_PORT'];
	} else {
		$server_name .= $_SERVER['SERVER_NAME'];
	}
	return $server_name;
}
function getRequestUri() {
	$request_uri = $_SERVER['REQUEST_URI'];
	$request_uri = str_replace('sitemap.php', '', $request_uri);
	return $request_uri;
}
function encodeURL($str, $questionmark = false) {
	global $encodeURL_advanced;
	$str = urlencode($str);
	if ($encodeURL_advanced == true) {
		$str = str_replace(array('%2F', '%2C'), array('/', ','), $str);
	}
	if ($questionmark == true) {
		$str = str_replace('%3F', '?', $str);
	}
	return $str;
}
if (substr($urlbefore, 0 ,1) == '/') {
	$encodeURL_advanced = true;
	$urlbefore = getServerName().encodeURL($urlbefore);
} elseif (substr($urlbefore, 0 ,4) == 'http') {
	$encodeURL_advanced = true;
} else {
	$encodeURL_advanced = true;
	$urlbefore = getServerName().encodeURL(getRequestUri()).encodeURL($urlbefore, true);
	$encodeURL_advanced = false;
}

function createXMLSitemap($ordner = './data/pages', $sub = false) {
	if (!isset($output)) { static $output = ''; }
	global $urlbefore;
	global $urlafter;
	global $n;
	$handle = opendir($ordner);
	while (false !== ($file = readdir($handle))) {
		if ($file != "." && $file != "..") {
			$pos = strpos($file, ".DEL");
			if ($pos === false) {
				if (is_dir($ordner."/".$file)) {
					$dirs[] = $ordner."/".$file;
				} else {
					if ($file != '01,Home') {
						$files[] = $file;
					}
				}
			}
		}
	}
	if ($dirs) {
		natcasesort($dirs);
		foreach ($dirs as $dir) {
			$file = str_replace($ordner."/","",$dir);
			$pageurl = substr($ordner,12).'/'.$file.'/01,Home';
			$pageurl = get_short_url($pageurl);
			$output .= '	<url>'.$n;
			$output .= '		<loc>'.htmlentities($urlbefore.$pageurl.$urlafter).'</loc>'.$n;
			$filetime = filemtime($dir.'/01,Home');
			if ($filetime != false) {
				$output .= '		<lastmod>'.date("Y-m-d", $filetime).'</lastmod>'.$n;
			}
			$output .= '	</url>'.$n;
			createXMLSitemap($dir, true);
		}
	}
	if ($files) {
		natcasesort($files);
		foreach ($files as $file) {
			$pageurl = substr($ordner,12).'/'.$file;
			$pageurl = get_short_url($pageurl);
			$output .= '	<url>'.$n;
			$output .= '		<loc>'.htmlentities($urlbefore.$pageurl.$urlafter).'</loc>'.$n;
			$filetime = filemtime($ordner.'/'.$file);
			if ($filetime != false) {
				$output .= '		<lastmod>'.date("Y-m-d", $filetime).'</lastmod>'.$n;
			}
			$output .= '	</url>'.$n;
		}
	}
	closedir($handle);
	return $output;
}

echo '<?xml version="1.0" encoding="UTF-8"?>
<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">'.$n;
echo createXMLSitemap();
echo '</urlset>'.$n;
echo '<!-- This sitemap was generated by cms -db (http://cms-db.de/) -->';


?>
