<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('pages');
include('locale.inc.php');
$locale = new LocalizingClass('edit');
?>
<?php
include('../functions_url.inc.php');

if (isset($_POST['button'])) {
	//START
	$filename = '../data/pages'.get_filename_from_url($_POST['file']);
	$content = $_POST['content'];
	$content = stripslashes($content);
	if (is_writable($filename)) {
		if (!$handle = fopen($filename, "w")) {
			include('error.inc.php');
			throw_error(sprintf(locale('desc_error-open-file',true), $filename), 'editpage.php?file='.$filename.'&'.SID);
		}
		if (!fwrite($handle, $content)) {
			include('error.inc.php');
			throw_error(sprintf(locale('desc_error-write-file',true), $filename), 'editpage.php?file='.$filename.'&'.SID);
		}
		fclose($handle);
		include('urlindex.inc.php');
		generate_urlindex();
		header('Location:pages.php?saved='.urlencode($filename).'&show=edit&'.SID);
	} else {
		include('error.inc.php');
		throw_error(sprintf(locale('desc_error-fileperms',true), $filename), 'editpage.php?file='.$filename.'&'.SID);
	}
	//ENDE
} else {
	include('../data/settings/url.inc.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title_editpage') ?></title>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css" />
<?php
include('wymeditor.inc.php');
?>
<script type="text/javascript">
/* <![CDATA[ */
function keepSessionAlive() {
	window.status = "refreshing session...";
	var request = null;
	if (window.XMLHttpRequest) {
		request = new XMLHttpRequest();
		if (request.overrideMimeType) {
			request.overrideMimeType("text/xml");
		}
	} else if (window.ActiveXObject) {
		try {
			http_request = new ActiveXObject("Msxml2.XMLHTTP");
		} catch (e) {
			try {
				http_request = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (e) {}
		}
	} else {
		window.status = "not able to refresh session: browser isn\'t capable of AJAX";
	}
	if (request != null) {
		request.open("GET", "keep-session-alive.php?"<?php echo SID ?>, true);
		request.onreadystatechange = function() {
			if (request.readyState == 4) {
				if (request.status == 200) {
					var response = request.responseText;
				} else {
					window.status = "failed to refresh session - response error: "+request.status;
				}
			}
		}
		request.send(null);
	}
	window.status = "refreshed session";
}
window.setInterval("keepSessionAlive()", 60000);
/* ]]> */
</script>
<noscript><?php locale('desc_javascript') ?></noscript>
</head>
<body>

<h1><?php locale('title_editpage') ?></h1>
<p>
	<form action="editpage.php?<?php echo SID ?>" method="post">
		<input type="hidden" name="file" value="<?php echo $_GET['file'] ?>">
		<!--style"border: 1px solid #BFBFBF; font-family: Verdana; font-size: 12px;"-->
		<textarea class="wymeditor" id="content" name="content" cols="80" rows="20"><?php
include('getcontent.inc.php');
$file = '../data/pages'.get_filename_from_url($_GET['file']);
echo GetContent($file);
?></textarea><br />
		<input type="submit" name="button" value="<?php locale('button_save') ?>" class="wymupdate" />
	</form>
</p>
<p>
	<?php locale('desc_variables') ?>
	<a href="variables.php?<?php echo SID ?>"><?php locale('link_variables') ?></a>
</p>

</body>
</html>
<?php
}
?>
