<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('gbook');
include('locale.inc.php');
$locale = new LocalizingClass('guestbook');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('desc_guestbook') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1><?php locale('desc_guestbook') ?></h1>
<p>
	<?php locale('desc_delete') ?>
</p>
<p>
<?php
if (file_exists("../data/gbfile.csv")) {
	echo '<hr style="background-color:#000000;color:#000000;border:#000000;height:2px">';
	$handle = fopen ("../data/gbfile.csv","r");
	while ( ($data = fgetcsv ($handle, 1000, ",")) !== FALSE ) {
		$gb_name = $data[0];
		$gb_email = $data[1];
		$gb_text = $data[2];
		$gb_time = $data[3];
		$gb_date = $data[4];
		$entries[] = $gb_name.'|µ|µ|'.$gb_email.'|µ|µ|'.$gb_text.'|µ|µ|'.$gb_time.'|µ|µ|'.$gb_date.'|µ|µ|"'.$gb_name.'","'.$gb_email.'","'.$gb_text.'","'.$gb_time.'","'.$gb_date.'"';
	}
	fclose ($handle);
	if ($entries) {
		$entries = array_reverse($entries, true);
		foreach($entries AS $entry) {
			$data = explode("|µ|µ|", $entry);
			$gb_name = $data[0];
			$gb_email = $data[1];
			$gb_text = $data[2];
			$gb_time = $data[3];
			$gb_date = $data[4];
			$gb_line = $data[5];
			echo '<form action="delgb.php?'.SID.'" method="post" style="float: right; background-color: #fff">
				<input type="hidden" name="ident" value="'.htmlspecialchars($gb_line).'" />
				<input type="submit" value="'.locale('link_delete',true).'" />
			</form>';
			echo '<b>'.locale('label_name',true).'</b> '.$gb_name;
			if ($gb_email!="") {
				echo ' <b>'.locale('label_email',true).'</b> <a href=mailto:'.$gb_email.'>'.$gb_email.'</a>';
			}
			echo '<br />';
			echo '<b>'.locale('label_time',true).'</b> '.$gb_time.' ';
			echo '<b>'.locale('label_date',true).'</b> '.$gb_date;
			echo '<hr style="background-color:#000000;color:#000000;border:#000000;height: 1px">';
			echo $gb_text.'<hr style="background-color:#000000;color:#000000;border:#000000;height: 2px">';
		}
	} else {
		locale('desc_no-entries');
	}
} else {
	locale('desc_no-entries');
}
?>
</p>

</body>
</html>
