<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('edituser');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title_newuser') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<?php
if (isset($_POST['button'])) {
	$vorhanden = false;
	if ($handle = opendir('../data/users')) {
		while (false !== ($file = readdir($handle))) {
			if($file != '.' && $file != '..') {
				include('../data/users/'.$file);
				if ($user == $_POST["user"]) {
					$vorhanden = true;
				}
			}
		}
		closedir($handle);
	}
	if (!$vorhanden) {
		$time = time();
		$writethis = '<?php
		$user = "'.$_POST["user"].'";
		$pass = "'.$_POST["pass"].'";
		$user_pages = "'.$_POST["pages"].'";
		$user_files = "'.$_POST["files"].'";
		$user_includes = "'.$_POST["includes"].'";
		$user_template = "'.$_POST["template"].'";
		$user_gbook = "'.$_POST["gbook"].'";
		$user_stats = "'.$_POST["stats"].'";
		?>';
		$datei = fopen('../data/users/'.$time.'.php','w+');
		fwrite($datei,$writethis);
		fclose($datei);
		echo '<h1>'.locale('title_settings-saved',true).'</h1>';
		echo '<p>'.locale('desc_settings-saved',true).'</p>';
		echo '<p><a href="users.php?'.SID.'">'.locale('link_user-saved',true).'</a></p>';
	} else {
		echo '<h1>'.locale('title_newuser',true).'</h1>';
		echo '<p>'.locale('desc_error-username',true).'</p>';
		echo '<p><a href="newuser.php?<?php echo SID ?>">'.locale('link_back',true).'</a></p>';
	}
} else {
?>

<h1><?php locale('title_newuser') ?></h1>
<p>
	<form action="newuser.php?<?php echo SID ?>" method="POST">
		<?php locale('label_username') ?>: <input type="text" name="user" value="<?php echo $user ?>" /><br />
		<?php locale('label_password') ?>: <input type="text" name="pass" value="" /><br />
		<input type="checkbox" name="pages" id="pages" <?php if ($user_pages == 'on') { echo 'checked="checked"'; }?> />
		<label for="pages"><?php locale('label_user-pages') ?></label><br />
		<input type="checkbox" name="files" id="files" <?php if ($user_files == 'on') { echo 'checked="checked"'; }?> />
		<label for="files"><?php locale('label_user-files') ?></label><br />
		<input type="checkbox" name="includes" id="includes" <?php if ($user_includes == 'on') { echo 'checked="checked"'; }?> />
		<label for="includes"><?php locale('label_user-includes') ?></label><br />
		<input type="checkbox" name="template" id="template" <?php if ($user_template == 'on') { echo 'checked="checked"'; }?> />
		<label for="template"><?php locale('label_user-template') ?></label><br />
		<input type="checkbox" name="gbook" id="gbook" <?php if ($user_gbook == 'on') { echo 'checked="checked"'; }?> />
		<label for="gbook"><?php locale('label_user-gbook') ?></label><br />
		<input type="checkbox" name="stats" id="stats" <?php if ($user_stats == 'on') { echo 'checked="checked"'; }?> />
		<label for="stats"><?php locale('label_user-stats') ?></label><br /><br />
		<i><?php locale('desc_users') ?></i><br /><br />
		<input type="submit" name="button" value="<?php locale('button_save') ?>">
		<a href="users.php?<?php echo SID ?>"><?php locale('button_cancel') ?></a>
	</form>
</p>

<?php
}
?>

</body>
</html>
