<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */
chdir('../');
include('checkuser.inc.php');
checkuser('root');
include('locale.inc.php');
$locale = new LocalizingClass('update');

$version = file_get_contents('../data/version.txt');
$version = substr($version, 1);
$version = trim($version);
$version = explode('.', $version);
$x1 = $version[0];
$x2 = $version[1];
if (isset($version[2])) {
	$x3 = $version[2];
} else {
	$x3 = 0;
}

function checkVersion($n1, $n2, $n3) {
	global $x1, $x2, $x3;
	if (($n1 > $x1)
	or ($n1 == $x1 and $n2 > $x2)
	or ($n1 == $x1 and $n2 == $x2 and $n3 > $x3)) {
		return true;
	} else {
		return false;
	}
}

if (checkVersion(0,6,0)) {
	include('./update/convert_pages_to_sections.inc.php');
	convert_pages_to_sections();
	
	include('urlindex.inc.php');
	generate_urlindex();
	
	file_put_contents('../data/settings/locale.inc.php', '<?php
	$locale_default = "'.$_SESSION['CMS-Locale'].'";
	?>');
	
	if (file_exists('../data/stats/unknown.list')) {
		unlink('../data/stats/unknown.list');
	}
	if (file_exists('../data/stats/ip.list')) {
		unlink('../data/stats/ip.list');
	}
	$handle = opendir('../data/stats/browser');
	while (false !== ($file = readdir ($handle))) {
		if ($file != "." && $file != "..") {
			unlink('../data/stats/browser/'.$file);
		}
	}
	closedir($handle);
	$handle = opendir('../data/stats/os');
	while (false !== ($file = readdir ($handle))) {
		if ($file != "." && $file != "..") {
			unlink('../data/stats/os/'.$file);
		}
	}
	closedir($handle);
}
copy('./update/version.txt', '../data/version.txt');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php locale('title') ?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="../style.css">
</head>
<body>

<h1><?php locale('title') ?></h1>
<p>
	<?php locale('desc') ?>
</p>
<p>
	<a href="../frame.php?<?php echo SID ?>"><?php locale('link_next') ?></a>
</p>

</body>
</html>
