<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

/* Read the url index and put the data in an array */
function read_urlindex($prefix = '.') {
	global $urls, $filenames_by_url;
	
	include($prefix.'/data/settings/url.inc.php');
	$urlindex = file_get_contents($prefix.'/data/urlindex.txt');
	
	$urls = array();
	$filenames_by_url = array();
	$urlindex_exploded = explode("\n", $urlindex);
	foreach($urlindex_exploded as $line) {
		$line = explode("\t", $line, 2);
		$urls[$line[1]] = $line[0];
		$filenames_by_url[$line[0]] = $line[1];
	}
}

/* Get the short url of a page from filename */
function get_short_url($page) {
	global $urls;
	if (array_key_exists($page, $urls)) {
		$url = $urls[$page];
		return $url;
	} else {
		return false;
	}
}

/* Gets the filename of a page from the short url */
function get_filename_from_url($url) {
	global $filenames_by_url;
	if (array_key_exists($url, $filenames_by_url)) {
		$filename = $filenames_by_url[$url];
		return $filename;
	} else {
		return false;
	}
}

$urls = false;
$filenames_by_url = false;
if (!isset($functions_url_website)) {
	read_urlindex('..');
} else {
	read_urlindex();
}

?>
