<?php
/*  cms-db  Copyright (C) 2007-2009 Jan Hoffmann
    This program comes with ABSOLUTELY NO WARRANTY; for details see /admin/version.php.
    This is free software, and you are welcome to redistribute it under certain conditions; see /admin/version.php for details.  */

chdir('./admin');
$locale = new LocalizingClass('guestbook', $locale_default);
chdir('../');

function printNewEntry($type,$name="",$email="",$text="") {
	if ($type == 'form') {
		global $gbpageid;
		global $id;
		include('./data/settings/url.inc.php');
		$time = microtime(true);
		echo '<form method="post" action="'.$urlbefore.$gbpageid.$urlafter.'">
	<p>
		<input type="hidden" name="id_'.$id.'" value="'.$time.'" />
		<label for="name"><b>'.locale('label_name',true).'</b></label> '.locale('label_needed',true).'<br />
		<input type="text" id="name" name="name" size="30" maxlength="50" value="'.$name.'" /><input type="text" name="lastname" class="input_special" /><br />
		<label for="email"><b>'.locale('label_email',true).'</b></label> '.locale('label_optional',true).'<br />
		<input type="text" id="email" name="email" size="30" maxlength="100" value="'.$email.'" /><br />
		<label for="text"><b>'.locale('label_text',true).'</b></label> '.locale('label_needed',true).'<br />
		<textarea id="text" name="text" rows="5" cols="30">'.$text.'</textarea>
	</p>
	<p>
		<input type="submit" value="'.locale('button_send',true).'" name="CMS-DB_GB_SENT" />
		<input type="reset" value="'.locale('button_cancel',true).'" />
	</p>
</form>';
	} else {
		if ($email == '') { $email = 'keine Angabe'; }
		echo '<p><b>'.locale('label_name',true).'</b><br />'.$name.'<br /><b>'.locale('label_email',true).'</b><br />'.$email.'<br /><b>'.locale('label_text',true).'</b><br />'.$text.'</p>';
	}
}

$gbpageid = $_SERVER['QUERY_STRING'];
$id = sprintf('%x', crc32($gbpageid));

// Spam-Schutz: Spezielle Felder müssen existieren
if (isset($_POST['CMS-DB_GB_SENT']) && isset($_POST['id_'.$id])) {
	$array = array("\n","\r");
	$zahl = $_POST['zahl'];
	$name = $_POST['name'];
	$name = str_replace($array, '', $name);
	$name = stripslashes($name);
	$name = htmlspecialchars($name);
	$email = $_POST['email'];
	$email = str_replace($array, '', $email);
	$email = stripslashes($email);
	$email = htmlspecialchars($email);
	$text = $_POST['text'];
	$text = stripslashes($text);
	$text = htmlspecialchars($text);
	$text = nl2br($text);
	$text = str_replace($array, '', $text);
	$time = date("H:i:s");
	$date = date("d.m.Y");

	if($name != '' && $text != '') {
		$time_old = $_POST['id_'.$id];
		$time_now = microtime(true);
		$time_difference = $time_now-$time_old;
		/* Spam-Schutz:
		 * Feld darf nicht von "blödem" Bot ausgefüllt werden,
		 * mindestens 10 Sekunden zum Schreiben des Textes
		 */
		if ($_POST['lastname'] == '' && $time_difference > 10) {
			$list = '"'.$name.'","'.$email.'","'.$text.'","'.$time.'","'.$date.'"';
			$list.= "\n";

			$fp = fopen('./data/gbfile.csv', 'a+');
			fwrite($fp, $list);
			fclose($fp);
			
			echo '<p style="color:#008000">'.locale('desc_saved',true).'</p>';
			printNewEntry("text",$name,$email,$text);
		} else {
			echo '<p style="color:#f00">Error: Invalid form data. (time difference: '.$time_difference.')</p>';
		}
	} else {
		echo '<p style="color:#f00">'.locale('desc_data-error',true).'</p>';
		printNewEntry("form",stripslashes($_POST['name']),stripslashes($_POST['email']),stripslashes($_POST['text']));
	}
} else {
	printNewEntry("form");
}
?>
<?php
if (file_exists("./data/gbfile.csv")) {
	echo '<hr style="background-color:#000000;color:#000000;border:#000000;height:2px" />';
	$handle = fopen ("./data/gbfile.csv","r");
	while ( ($data = fgetcsv ($handle, 1000, ",")) !== FALSE ) {
		$gb_name = $data[0];
		$gb_email = $data[1];
		$gb_text = $data[2];
		$gb_time = $data[3];
		$gb_date = $data[4];
		$entries[] = $gb_name.'|µ|µ|'.$gb_email.'|µ|µ|'.$gb_text.'|µ|µ|'.$gb_time.'|µ|µ|'.$gb_date;
	}
	fclose ($handle);
	if ($entries) {
		$entries = array_reverse($entries, true);
		foreach($entries AS $entry) {
			$data = explode("|µ|µ|", $entry);
			$gb_name = $data[0];
			$gb_email = $data[1];
			$gb_text = $data[2];
			$gb_time = $data[3];
			$gb_date = $data[4];
			echo '<p><b>'.locale('label_name',true).'</b> '.$gb_name;
			if ($gb_email!="") {
				echo ' <b>'.locale('label_email',true).'</b> <a href="mailto:'.$gb_email.'">'.$gb_email.'</a>';
			}
			echo '<br />';
			echo '<b>'.locale('label_time',true).'</b> '.$gb_time.' ';
			echo '<b>'.locale('label_date',true).'</b> '.$gb_date.'</p><hr style="background-color:#000000;color:#000000;border:#000000;height: 1px" /><p>';
			echo $gb_text.'</p><hr style="background-color:#000000;color:#000000;border:#000000;height: 2px" />';
		}
	} else {
		echo '<p>'.locale('desc_no-entries',true).'</p>';
	}
} else {
	echo '<p>'.locale('desc_no-entries',true).'</p>';
}

unset($locale);

?>
